<template>
  <div class="shadow-sm p-3 mb-5 bg-white rounded">
    <h6 class="font-weight-bold">RESERVAR</h6>
    <form id="reservationForm">
      <div class="form-row align-items-end d-flex">
        <div class="col-auto flex-fill mr-3">
          <label class="col-form-label-sm mb-0" for="formName">Nombre</label>
          <input type="text" class="form-control mb-2" id="formName" required>
        </div>
        <div class="col-auto mr-3">
          <label class="col-form-label-sm mb-0" for="formDate">Fecha</label>
          <div class="input-group mb-2 datepicker">
            <input type="date" class="form-control" id="formDate" :min="nowDate" required>
          </div>
        </div>
        <div class="col-auto mr-3">
          <label class="col-form-label-sm mb-0" for="startTime">Desde</label>
          <div class="input-group mb-2">
            <input type="time" id="startTime" class="form-control" @change="endTime" step="900" required>
          </div>
        </div>
        <div class="col-auto mr-3">
          <label class="col-form-label-sm mb-0" for="endTime">Hasta</label>
          <div class="input-group mb-2">
            <input type="time" id="endTime" class="form-control" step="900" required>
          </div>
        </div>
        <div class="col-auto mr-3">
          <button type="submit" class="btn btn-light mb-2" @click="submitForm">Guardar</button>
        </div>
      </div>
    </form>
  </div>
</template>

<script>
export default {

  name: "ReservationForm",

  data () {

    return {

      nowDate: new Date().toISOString().slice(0,10)

    }

  },

  methods: {

    endTime () {

      document.getElementById("endTime").min = document.getElementById("startTime").value;

    },



    submitForm() {

      if (document.getElementById("reservationForm").reportValidity()) {

        var name = document.getElementById("formName").value;
        var date = document.getElementById("formDate").value;
        var startTime = document.getElementById("startTime").value;
        var endTime = document.getElementById("endTime").value;
        this.$store.commit('addReservation', {name: name, date: date, startTime: startTime, endTime: endTime, className: "green"});

      }

    }

  }

}

</script>

<style scoped>

h6 {
  color: #006755;
}

button {
  background-color: #00A98F;
  color: white;
  width: 150px;
}

</style>